create view TRAIN_TRANSPORTATION as
select tlr.purchase_order_rail_plan_id,tlr.result_wagon_no,rm.material_name,tlr.result_billable_tonnage,ras.arrival_name as fz,rtas.arrival_name as dz,tlr.result_loading_date,twur.result_rail_horizontal_weight,twur.result_unload_time
  from TMSTRAIN_LOADING_RESULT tlr
  left join TMSTRAIN_WAGON_UNLOAD_RESULT twur on tlr.purchase_order_rail_plan_id =twur.purchase_order_rail_plan_id and tlr.result_wagon_no =twur.result_wagon_no
  join rms_material rm on tlr.material_id=rm.material_id
  join rmstrain_arrival_send ras on tlr.send_station_id=ras.arrival_id
  left join rmstrain_arrival_send rtas on tlr.arrival_station_id=rtas.arrival_id
/

